Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.event.actions
Class ActionEmail

    java.lang.Object
      |
      +--weblogic.event.actions.ActionEmail

public class ActionEmail
extends java.lang.Object
implements ActionDef

Class for creating an Action that is an email notification that an event has occurred. A simple action method prettyprints the event and the action into an email message.

Author:
  Copyright (c) 1996-1998, WebLogic, Inc. All Rights Reserved., Copyright (c) 1998-2000 BEA Systems, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `EventServicesDef`, `EventRegistrationDef`

Constructor Summary
`ActionEmail()`

Method Summary
`void` | `action(EventMessageDef ev)` Constructs an email Action with the specified event and sends it via SMTP with the Subject line Your registered event occurred.
`void` | `registerInit(ParamSet params)` Registers an email action with the specified parameters.
`void` | `setServices(T3ServicesDef services)` Saves the services object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActionEmail

    public ActionEmail()

Method Detail

### setServices

    public void setServices(T3ServicesDef services)

  Saves the services object. Provides a handle to a services object.
  Specified by:
    setServices in interface ActionDef

  Parameters:
    `services` - A T3ServicesDef object

### registerInit

    public void registerInit(ParamSet params)

  Registers an email action with the specified parameters. The ParamSet should contain a Value for SMTPhost and a Value for Addressee.
  Specified by:
    registerInit in interface ActionDef

  Parameters:
    `params` - ParamSet object

### action

    public void action(EventMessageDef ev)

  Constructs an email Action with the specified event and sends it via SMTP with the Subject line Your registered event occurred.
  Specified by:
    action in interface ActionDef

  Parameters:
    `ev` - EventMessage object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD